Skip to content

Changelog mlt (7.4.0-1~ubuntu20.04.1+10.0trisquel2)

2022

mlt (7.4.0-1~ubuntu20.04.1+10.0trisquel2) nabia-backports; urgency=medium

   * Backported from official PPA for kdenlive as a dependency of
     kdenlive

mlt (7.4.0-1~ubuntu20.04.1) focal; urgency=low

   * Auto build.

2021

mlt (7.0.1-1) unstable; urgency=medium

   * New upstream release.
     - Switch to CMake build system

2020

mlt (6.24.0-1) unstable; urgency=medium

   * New upstream release.

mlt (6.22.1-5) unstable; urgency=medium

   * Bump Standards-Version to 4.5.1.
   * Update debian/watch file standard to version 4.

mlt (6.22.1-4) unstable; urgency=medium

   * Enable rubberband feature.
     Closes: #973710

mlt (6.22.1-3) unstable; urgency=medium

   * Add patch from Andreas Metzler to drop unused libexif-gtk-dev build
     dependency.
     Closes: #971663
   * Add patch from Hugh McMaster to make package Multi-Arch compatible.
     Closes: #971752
   * Adjust lintian overrides.

mlt (6.22.1-2) unstable; urgency=medium

   * Remove deprecated gtk2 dependency.
     Closes: #967633

mlt (6.22.1-1) unstable; urgency=medium

   * New upstream release.

mlt (6.22.0-1) unstable; urgency=medium

   * New upstream release.
   * Adjust debian/copyright.

mlt (6.20.0-3) unstable; urgency=high

   * Upgrade debhelper-compat to level 13.
   * Rebuild against newer ffmpeg.
     Closes: #963706

mlt (6.20.0-2) unstable; urgency=medium

   * Drop patch 01-fix-link-atomic64.

mlt (6.20.0-1) unstable; urgency=medium

   * New upstream release.
     - Refresh patch 01-fix-link-atomic64.

mlt (6.18.0-4) unstable; urgency=medium

   * Bump Standards-Version to 4.5.0.
   * Adjust source lintian-overrides.

2019

mlt (6.18.0-3) unstable; urgency=medium

   * Add -latomic to LDFLAGS.

mlt (6.18.0-2) unstable; urgency=medium

   * Add patch 01-fix-link-atomic64 to fix a FTBFS.

mlt (6.18.0-1) unstable; urgency=medium

   * New upstream release.
     - Drop merged patch 01-python3.
   * Remove luma configure options again.
   * Use the new debhelper-compat notation, and drop the d/compat file.

mlt (6.16.0-7) unstable; urgency=medium

   * Add Rules-Requires-Root no to debian/control.
   * Bump Standards-Version to 4.4.1.

mlt (6.16.0-6) unstable; urgency=high

   * Use correct path for installing the Python 3 module.
     Closes: #940591
   * Remove obsolet cleanup rules from debian/rules.

mlt (6.16.0-5) unstable; urgency=high

   * Remove deprecated conflicts and replaces from debian/control.
   * Rename python-mlt package to python3-mlt.
     Closes: #940166

mlt (6.16.0-4) unstable; urgency=medium

   * Migrate package to python3.
     Closes: #937056
   * Bump debian/compat to level 12.
   * Use compressed 8 bit lumas.
     Closes: #934590

mlt (6.16.0-3) unstable; urgency=medium

   * Make a new source only upload.

mlt (6.16.0-2) unstable; urgency=medium

   * Bump Standards-Version to 4.4.0.
   * Uploading to unstable.

mlt (6.16.0-1) experimental; urgency=medium

   * New upstream release.

mlt (6.14.0-1) experimental; urgency=medium

   * New upstream release.
   * Bump Standards-Version to 4.3.0.
   * Build package with libvidstab-dev.
     Closes: #887019

2018

mlt (6.12.0-1) unstable; urgency=medium

   * New upstream release.
   * Bump Standards-Version to 4.2.1.

mlt (6.10.0-1) unstable; urgency=medium

   * New upstream release.

mlt (6.8.0+git20180605-1) unstable; urgency=medium

   * New upstream git snapshot to fix various little bugs.
   * Remove trailing whitespace from debian/changelog.
   * Move package to my own repository.

mlt (6.8.0-1) unstable; urgency=medium

   * New upstream release.
     - Remove merged patch 01-qimage-segfault.
     - Remove merged patch 02-qimage-crash.
     - Remove merged patch 03-crash-kdenlivetile.
     - Remove merged patch 04-rotoscoping-crash.
     - Remove merged patch 05-pgm-luma-crash.
   * Add upstream patch 04-rotoscoping-crash.
   * Add upstream patch 05-pgm-luma-crash.
   * Bump Standards-Version to 4.1.4.

mlt (6.6.0-2) unstable; urgency=medium

   * Add upstream patch 01-qimage-segfault.
   * Add upstream patch 02-qimage-crash.
   * Add upstream patch 03-crash-kdenlivetile.´
   * Move source lintian overrides to source directory.
   * Renamed deprecated lintian tag.
   * Install a few example files and add them to the libmlt-dev package.

mlt (6.6.0-1) unstable; urgency=medium

   * New upstream release.
     - Remove merged patch 01-crash-affine.
     - Remove merged patch 02-crash-clipinfo-update.
     - Remove merged patch 03-use-external-libebur.
     - Remove merged patch 04-allow-repository_deletion_without_side_effect.
     - Remove merged patch 05-fix_build_with_glibc_2.26.
     - Add new build dependency libsdl2-dev to enable the new SDL2 module.
   * Bump Standards-Version to 4.1.3 (no changes required).
   * Bump debian/compat to level 11.

2017

mlt (6.4.1-6) unstable; urgency=medium

   * Remove Fathi Boudra from uploaders. Thanks for your previous work!
     Closes: #879412
   * Bump Standards-Version to 4.1.1 (no changes required).
   * Use secure homepage URI.
   * Add patch 04-allow-repository_deletion_without_side_effect to fix a crash
     on exiting kdenlive.
     Closes: #869226
   * Adopt patch 05-fix_build_with_glibc_2.26 to fix a FTBFS with newer glibc
     versions.

mlt (6.4.1-5) unstable; urgency=medium

   * Bump Standards-Version to 4.0.0 (no changes required).
   * Drop dbg package.
   * Restrict build dependency on librtaudio-dev to linux-any.
     Closes: #866625

mlt (6.4.1-4) unstable; urgency=low

   * Remove dependency on libquicktime.
     Closes: #856235
   * Enable PIE again. melt does not FTBFS anymore with enabled PIE.
     Closes: #859427

mlt (6.4.1-3) unstable; urgency=low

   * Add patch 03-use-external-libebur and build depend on libebur128-dev to use
     the system version of libebur128.
     Closes: #762341

mlt (6.4.1-2) unstable; urgency=low

   * Add upstream patch 01-crash-affine to fix a crash in affine due to relaxed
     constraints.
   * Add upstream patch 02-crash-clipinfo-update to fix a crash in kdenlive when
     a clip has no resource.

2016

mlt (6.4.1-1) unstable; urgency=medium

   * New upstream release.

mlt (6.4.0-1) unstable; urgency=medium

   * New upstream release.
     - Fixes crash on loading second LADSPA plugin.
       Closes: #839660
   * Bump Standards-Version to 3.9.8 (no changes required).
   * Set myself as maintainer and Fabo as uploader.
   * Adjust hardening lintian overrides.

mlt (6.2.0-1) unstable; urgency=medium

   * New upstream release.
     - Remove merged patch 01-empty-directory.
     - Remove merged patch 02-kfreebsd-ftbfs.
   * Build against external rtaudio.
     Closes: #816340
   * Adjust path to queue.h in debian/copyright.

mlt (6.0.0-3) unstable; urgency=high

   * Adopt 02-kfreebsd-ftbfs patch from upstream.
     Closes: #815501

mlt (6.0.0-2) unstable; urgency=medium

   * Enable all hardening flags except of PIE, which produces a FTBFS.
   * Overwrite false positive lintian warning hardening-no-bindnow for
     python-mlt package.
   * Add patch 01-empty-directory to fix installation of an empty directory.
   * Add experimental patch 02-kfreebsd-ftbfs to fix a FTBFS on kfreebsd.

mlt (6.0.0-1) unstable; urgency=medium

   * New upstream release.
     - Remove merged patch 01-mlt_ffmpeg-2.9.
   * Bump Standards-Version to 3.9.7 (no changes required).
   * Add new build dependencies on libexif-dev, libexif-gtk-dev, libmovit-dev
     and libfftw3-dev to enable new features.
   * Fix spelling error in debian/copyright.

2015

mlt (0.9.8-3) unstable; urgency=high

   * Add upstream patch 01-mlt_ffmpeg-2.9 to fix a FTBFS with newer FFmpeg
     releases.
     Closes: #803841

mlt (0.9.8-2) unstable; urgency=medium

   * Correct build dependencies.
     Closes: #801284

mlt (0.9.8-1) unstable; urgency=medium

   * New upstream release.
   * Point debian/watch to GitHub.
   * Add additional files to dh_auto_clean.
   * Add build dependency dh-python.

mlt (0.9.6-3) unstable; urgency=low

   * Build against Qt5.
   * Update to DEP5 debian/copyright format.

mlt (0.9.6-2) unstable; urgency=low

   * Switch from libav back to ffmpeg.

mlt (0.9.6-1) unstable; urgency=low

   * New upstream release.

mlt (0.9.4-1) unstable; urgency=low

   * New upstream release.
   * Uploading to unstable.

2014

mlt (0.9.2+git20141111-1) experimental; urgency=low

   * New upstream git snapshot.
     - Fixed Opus as audio codec with WebM container.
       Closes: #764164

mlt (0.9.2+git20141027-1) unstable; urgency=low

   * New upstream git snapshot.
     - Fixed generating logfile for two-pass mode with VP8/VP9.
       Closes: #764163
   * Uploading to unstable.

mlt (0.9.2+git20141008-1) experimental; urgency=low

   * New upstream git snapshot.
     - Remove upstream patch 02-audio-rendering-libav0.11.
     - Remove upstream patch 03-encoding-libavformatv56.
     - Remove upstream patch 04-deprecation-avstream.codec.time_base-muxer.
   * Remove unused override.

mlt (0.9.2-2) unstable; urgency=medium

   * Add upstream patch 02-audio-rendering-libav0.11 to fix audio rendering with
     libav 0.11.
     Closes: #761593
   * Add upstream patch 03-encoding-libavformatv56 to fix some more encoding
     errors with libavformat v56.
   * Add upstream patch 04-deprecation-avstream.codec.time_base-muxer to fix a
     deprecation warning.
     Closes: #760773
   * Bump Standards-Version to 3.9.6 (no changes required).
   * Fix lintian warning capitalization-error-in-description-synopsis.

mlt (0.9.2-1) unstable; urgency=medium

   * New upstream release.
     - Refresh hunky patch 01-changed-preset-path.
     - Remove merged patch 02-crash-empty-ladspa-path.
     - Remove merged patch 03-freetype-ftbfs.
   * Overwrite lintian warning intra-source-package-circular-dependency, because
     those dependencies are required.
   * Move away from hardening-wrapper.
   * Overwrite some hardening warnings in python-mlt.

mlt (0.9.0+dfsg1-1) unstable; urgency=high

   * Remove demo/txtField.swf from source and repackage mlt as +dfsg1.
     Closes: #737428
   * Migrate package to libxine2.
     Closes: #741362
   * Remove useless Pre-Depends fields.

mlt (0.9.0-3) unstable; urgency=high

   * Bump Standards-Version to 3.9.5 (no changes needed).
   * Don't explicitly request xz compression - dpkg 1.17 does this by default.
   * Overwrite debian-watch-may-check-gpg-signature warning. There is no GPG
     signature available.
   * Add upstream patch 03-freetype-ftbfs to fix a FTBFS.
     Closes: #733375
   * Patch 02-crash-empty-ladspa-path was not applied, because it was missing in
     debian/patches/series.

2013

mlt (0.9.0-2) unstable; urgency=low

   * Add upstream patch 02-crash-empty-ladspa-path to fix a crash if LADSPA_PATH
     is empty.
     Closes: #726197
   * Fix lintian error pkg-config-multi-arch-wrong-dir.

mlt (0.9.0-1) unstable; urgency=low

   * New upstream release.
     - Rewrite patch 01-changed-preset-path.
     - Build dependency on libqt4-dev and libqt4-opengl-dev added.
     - Bump SONAME of libmlt to 6.
   * Add dependency information to libmlt and libmlt++ with dh_makeshlibs.
     Closes: #709249
   * Build depend on libav-tools instead of ffmpeg.
   * Create debian/copyright from scratch.
     Closes: #711858
   * Rename python-mlt5 package to python-mlt.
   * Overwrite false positive lintian warning spelling-error-in-binary.

mlt (0.8.8-2) unstable; urgency=low

   * Uploading to unstable.

mlt (0.8.8-1) experimental; urgency=low

   * New upstream release.
     - Refresh patch 01-changed-preset-path.

mlt (0.8.6-2) experimental; urgency=low

   * Bump compat level to 9.
     - Adjust paths to libdir triplets.
   * Remove unused python-mlt5 lintian override.

2012

mlt (0.8.6-1) experimental; urgency=low

   * New upstream release.
     - Adjust libmlt++3 lintian override.
   * Bump Standards-Version to 3.9.4 (no changes needed).
   * Switch to xz compression and add a Pre-Depends on dpkg.

mlt (0.8.2-1) experimental; urgency=low

   * New upstream release.
     - Refresh hunky patch 01-changed-preset-path.
     - Remove merged patch 02-allow-file-prefix.
     - Remove merged patch 03-audio-limits-and-crash.
     - Remove merged patch 04-cache-memory-leak.
     - Remove merged patch 05-ladspa-crash.
   * Completely disable the luma-compress option, it is not recommend by
     upstream.
   * Use wildcards in lintian overrides.

mlt (0.8.0-4) unstable; urgency=low

   * Add upstream patch 04-cache-memory-leak, which fixes a memory leak when
     using mlt_cache for frames.
   * Add upstream patch 05-ladspa-crash, which fixes a potential LADSPA crash
     on dlclose().

mlt (0.8.0-3) unstable; urgency=low

   * Disable compression from the luma module on mips. The convert process never
     finishes.

mlt (0.8.0-2) unstable; urgency=low

   * Add patch 01-changed-preset-path, which corrects the path to the changed
     location of the preset files.
     Closes: #681339
   * Add patch 02-allow-file-prefix, which adds the file:// prefix support.
     Closes: #677276
   * Add patch 03-audio-limits-and-crash, which fixes a crash if invalid audio
     bitrates are submitted.
     Closes: #681319

mlt (0.8.0-1) unstable; urgency=low

   * New upstreeam release.
     - Adjust lintian overrides.

mlt (0.7.8+git20120601-1) unstable; urgency=low

   * New upstream git snapshot.
   * Overwrite false positive hardening-no-fortify-functions lintian warning.

mlt (0.7.8+git20120417-1) unstable; urgency=low

   * New upstream git snapshot.
   * Disable rtaudio consumer.
     Closes: #668893

mlt (0.7.8+git20120409-1) unstable; urgency=low

   * New upstream git snapshot.
     - Rendering problems introduced with 0.7.8 are gone.
       Closes: #664786
   * Build with --enable-gpl3 and add copyright notices about the transition_vqm
     module.
   * Bump SONAME of libmlt and python-mlt to 5.

mlt (0.7.8-2) unstable; urgency=low

   * Bump Standards-Version to 3.9.3 (no changed needed).
   * Override lintian warnings about no-symbols-control-file.

mlt (0.7.8-1) unstable; urgency=low

   * New upstream release.
     - Drop all patches.

mlt (0.7.6+git20120204-2) unstable; urgency=high

   * Add patch 01-various-upstream-fixes-20120205 which includes various
     upstream fixes like fixing a FTBFS with libav on architectures without MMX.
     Closes: #658376

mlt (0.7.6+git20120204-1) unstable; urgency=low

   * New upstream git snapshot.

2011

mlt (0.7.6+git20111222-1) unstable; urgency=low

   * New upstream git snapshot.
     - Removed all patches, they have been merged in this snapshot.
     - Do not build with RtAudio on hurd and kfreebsd, to avoid FTBFS.

mlt (0.7.6+git20111220-1) unstable; urgency=low

   * New upstream git snapshot.
   * Remove patch 01-hurd-ftbfs, it still applies but was merged by upstream to
     a better location in the source code.
   * Add patch 04-mltpp-hurd-configure to detect mlt++ module as Linux flavour.
   * Add patch 03-sys-soundcard to change the include of soundcard.h to
     sys/soundcard.h. This fixes a FTBFS on kfreebsd.
     Closes: #652059

mlt (0.7.6+git20111213-1) unstable; urgency=low

   * New upstream git snapshot.
     - Fixes segfault with wrong xml input.
       Closes: #651604
   * Add patch 02-hurd-configure to detect hurd-i386 as Linux flavour.

mlt (0.7.6-2) unstable; urgency=low

   * Add patch 01-hurd-ftbfs to fix a FTBFS on hurd-i386.

mlt (0.7.6-1) unstable; urgency=low

   * New upstream release.
     - Remove all patches, they have been merged by upstream.
     - Remove some obsolete docs.

mlt (0.7.4-4) unstable; urgency=low

   * Do not try to build mlt with libquicktime on hurd-i386.
   * Wrap all debian/control fields.

mlt (0.7.4-3) unstable; urgency=low

   * Add patch from Stephane Fillod, to enable motionest on all architectures.
     Closes: #638622

mlt (0.7.4-2) unstable; urgency=low

   * Add patch 01-kfbsd-ftbfs, to fix an FTBFS on GNU/kFreeBSD.
     Closes: #634210

mlt (0.7.4-1) unstable; urgency=low

   * New upstream release.
   * Build with dh_python2 and install files to dist-packages instead of
     site-packages. Also fixes lintian's python-debug-in-wrong-location.
     Beer promised to Evgeni Golov.

mlt (0.7.2+git20110530-1) unstable; urgency=low

   * New upstream git snapshot.
     - This fixes the abortion of melt, whops.

mlt (0.7.2+git20110529-1) unstable; urgency=low

   * New upstream git snapshot.
     - Drop patch 01-build-on-kfreebsd, merged by upstream.
     - Fixed crash with framebuffer on amd64.
       #627133
   * Disable swfdec.

mlt (0.7.2-2) unstable; urgency=low

   * Add patch 01-build-on-kfreebsd.diff, so that mlt also builds on kFreeBSD.

mlt (0.7.2-1) unstable; urgency=low

   * New upstream release.

mlt (0.7.0-2) unstable; urgency=low

   * Bump Standards-Version to 3.9.2 (no changes needed).
   * Wrap build dependencies.
   * Build with enabled hardening-wrapper.

mlt (0.7.0-1) unstable; urgency=low

   * New upstream release.
     Closes: #606123
     - Bumped SONAME of libmlt to 4.

mlt (0.6.2-3) unstable; urgency=low

   * Remove python-mlt3.install, it is done automagic by debian/rules.
     Thanks to Evgeni Golov.

mlt (0.6.2-2) unstable; urgency=low

   * Upload to unstable.

mlt (0.6.2-1) experimental; urgency=low

   * New upstream release.

mlt (0.6.0-1) experimental; urgency=low

   * New upstream release.
   * Bump SONAME of libmlt from 2 to 3.

2010

mlt (0.5.10-1) experimental; urgency=low

   * New upstream release.
     - Remove deprecated patch 01-in_out-points-region-transition.diff.
   * Bump Standards-Version to 3.9.1 (no changes needed).

mlt (0.5.6+git20100727-1) unstable; urgency=low

   * New upstream git snapshot from 27.07.2010.
     - This snapshot fixes some memory leaks and corruptions and an infinite
       loop.

mlt (0.5.6-1) unstable; urgency=low

   * New upstream release.
     - Add patch 01-in_out-points-region-transition.diff, which fixes a new
       regression in this release with kdenlive.
   * Add the swig mlt.i file to the libmlt++-dev package.

mlt (0.5.4+git20100601-1) unstable; urgency=high

   * New git snapshot.
   * Build against the new sox library, bumping urgency to high, because of a
     blocking transition.
     Closes: #583953

mlt (0.5.4-1) unstable; urgency=low

   * New upstream release.

mlt (0.5.2-1) unstable; urgency=low

   * New upstream release.
     - Remove merged 01-deinterlace-no-mmx-sse.diff patch.

mlt (0.5.0-3) unstable; urgency=low

   * Replace last patch with 01-deinterlace-no-mmx-sse.diff from upstream.
     Closes: #570145

mlt (0.5.0-2) unstable; urgency=low

   * Fix FTBFS on all non-x86 architectures, because there was a hardcoded
     -DARCH_X86 CFLAG. Removed it in 01-dont_hardcode_x86.diff.

mlt (0.5.0-1) unstable; urgency=low

   * New upstream release.
     - Only enable the new sse2 feature on amd64 hosts.
   * Add patch from Benjamin Drung to determine the Python version on build
     time. Much thanks.
     Closes: #569640

mlt (0.4.10-5) unstable; urgency=high

   * Bump Standards-Version to 3.8.4 (no changes needed).
   * Readd python-mlt2.install, it was still in trunk but was lost in the
     0.4.10-4 tag.. Bumping urgency to high.
     Closes: #568736
   * Drop debian/README.source.
   * Do not install mlt_wrap.so from the python bindings, it will produce
     errors.

mlt (0.4.10-4) unstable; urgency=low

   * Add python-support support and thus byte-compile the Python files.
     Much thanks for the patch to Evengi Golov.
     Closes: #566043

mlt (0.4.10-3) unstable; urgency=low

   * Add new python-mlt2 package, which contains the python bindings of mlt.
     Closes: #563240

2009

mlt (0.4.10-2) unstable; urgency=low

   * Build with new gcc 4.4.

mlt (0.4.10-1) unstable; urgency=low

   * New upstream release.
     - Fixes FTBFS because of missing linking with libm.
       Closes: #560119

mlt (0.4.8-1) unstable; urgency=low

   * New upstream release.

mlt (0.4.6+git20091124-1) unstable; urgency=low

   * New upstream git snapshot.
   * Recommend on the source:Version of libmlt-data.
   * Convert package to the 3.0 (quilt) format.

mlt (0.4.6-1) unstable; urgency=low

   * New upstream release.

mlt (0.4.4+git20091004-1) unstable; urgency=low

   * New upstream git snapshot.

mlt (0.4.4+git20090930-2) unstable; urgency=low

   * Add missing conflicts and replaces for smooth upgrades.

mlt (0.4.4+git20090930-1) unstable; urgency=low

   * New upstream git snapshot.
     - Drop all patches, they have been merged.
     - Drop quilt.
   * Bump SONAMES. Rename libmlt1 to libmlt2 and libmlt++2 to libmlt++3.
   * Drop inigo package.

mlt (0.4.4-3) unstable; urgency=low

   * Add libmlt-dbg package, which contains the debugging symbols of libmlt1 and
     libmlt++2.
   * Bump Standards-Version to 3.8.3.
     - Add debian/README.source.
   * Add patch description to 02_fix_sox_14.3.0_build.diff. Thanks lintian.

mlt (0.4.4-2) unstable; urgency=low

   * Add patches:
     - 01_improve_mlt_normalisation - stolen upstream.
     - 02_fix_sox_14.3.0_build - Fix build against sox 14.3.0. (Closes: #536671)

mlt (0.4.4-1) unstable; urgency=low

   * New upstream release.

mlt (0.4.2+git20090622-1) unstable; urgency=low

   * New git snapshot.
     - Drop merged patches 01_fix_man_whatis and 02_missing_math_ftbfs.

mlt (0.4.2+git20090618-2) unstable; urgency=low

   * Add 02_missing_math_ftbfs.diff patch, which fixes a FTBFS on some arches.

mlt (0.4.2+git20090618-1) unstable; urgency=low

   * New git snapshot.
     - Drop merged 07_custom_ldflags.diff patch.
     - Drop merged 09_add_gcc4.3_support.diff patch.
     - Drop merged 01_remove_ldconfig.diff patch.
     - Drop merged 02_update_have_mmx.diff patch.
   * Add libmlt-data as dependency for melt, it can not play movies without the
     profiles.
   * Bump Standards-Version to 3.8.2 (no changes needed).
   * Drop our melt manpage and install the new one from upstream.
     - Add 01_fix_man_whatis.diff which fixes the whatis entry.
   * Drop versioned build dependency on ffmpeg.
   * Extend a little bit the long-description of melt. Fixes lintian warning
     extended-description-is-probably-too-short.

mlt (0.4.2-2) unstable; urgency=low

   * Add frei0r-plugins-dev as build-dependency, so that the frei0r plugin can
     be built.

mlt (0.4.2-1) unstable; urgency=low

   * New upstream release.
     - inigo has been renamed to melt.
     - build and install mlt++ in mlt, they are not a separate source package
       anymore.
     - Bump libmlt++ SONAME to 2 (introduce libmlt++2 package).
     - miracle, westley and valerie were moved out of mlt into melted project.
     - mlt-config is deprecated.
     - Drop patches:
       - 03_update_prefix_data patch (not needed anymore and will break melt)
       - 04_update_install_target
       - 05_update_docs
       - 06_disable_example
       - 08_add_missing_ldlags
   * Fix lintian warning quilt-patch-missing-description:
     add missing descriptions to the patches. Thanks lintian.
   * Bump compat/debhelper to 7 (no changes needed).
   * Drop cdbs build dependency.

mlt (0.3.8-2) unstable; urgency=low

   * Add manpage for inigo. Much thanks to Tatsuki Sugiura for his patch.
     Closes: #521740
   * Fix copyright-refers-to-symlink-license. Refer to the {L}GPL-2 file instead
     of the {L}GPL link. Thanks lintian.
   * Remove old debian/libmlt1.lintian-overrides, the overrides are not needed
     anymore.

mlt (0.3.8-1) unstable; urgency=low

   * New upstream release.
 
   [ Patrick Matthäi ]
   * Change my email address.

mlt (0.3.6-2) unstable; urgency=low

   * Uploading to unstable.
   * Fix binary-control-field-duplicates-source.
     Thanks lintian.
   * Bump Standards-Version to 3.8.1 (no changes needed).

mlt (0.3.6-1) experimental; urgency=low

   [ Fathi Boudra ]
   * New upstream release.
   * Refresh patches.
   * Remove 11_add_sox_14.2.0_support.diff patch. Merged upstream.
   * Update debian/control:
     - Add version dependency to ffmpeg.
       We need version >= 0.svn20081115 from Debian experimental.
   * Update debian/rules:
     - Enable motion estimation, MMX and SSE on amd64 architecture.
 
   [ Patrick Matthäi ]
   * Recommend from libmlt1 on libmlt-data, because some applications also need
     the mlt profiles.
   * Fix copyright-with-old-dh-make-debian-copyright.
     Thanks lintian.
   * Add debian/watch file.
   * Install the mlt-config.1 manpage about a .manpage file instead of cdbs.
   * Remove not needed .dirs files.
   * Remove some useless newlines at EOF.

2008

mlt (0.3.2-2) unstable; urgency=low

   * Add Patrick Matthäi as co-maintainer.
   * Add Sox 14.2.0 support. (Closes: #507610, #509340)
   * Update debian/rules: disable motion estimation module. (Closes: #506844)
   * Fix lintian warning: debhelper-but-no-misc-depends.

mlt (0.3.2-1) unstable; urgency=low

   * New upstream release. (Closes: #471079, #482254, #499329)
   * Remove 01_add_sox_14_support patch. Merged upstream.
   * Add 10_fix_xine_module_cflags patch to fix xine module CFLAGS.
   * Refresh patches:
     - 03_update_prefix_data
     - 04_update_install_target
     - 07_custom_ldflags
     - 08_add_missing_ldlags
     - 09_add_gcc4.3_support
   * Update debian/control:
     - Build-depends on kdelibs5-dev instead of kdelibs4-dev.
     - Build-depends on libavdevice-dev.
     - Bump libmlt soname. libmlt1 conflicts/replaces libmlt0.2.
   * Update debian/copyright: Add oldfilm and frei0r modules.
   * Update installed files.
   * Update debian/rules:
     - Remove motion estimation option from EXTRA_CONFIGURE_OPTS.
     - Add --qimage-libdir configure option to detect Qt 4.

mlt (0.2.4-3) unstable; urgency=low

   * Update gcc-4.3 support patch. Link math library against libmltsox.
     (Closes: #475191)

mlt (0.2.4-2) unstable; urgency=low

   * Add versioned build dependency on libsox-dev >= 14.0.1-2. Previous
     libsox-dev package doesn't contains libsfx.a and libsfx.so symlink.
     (Closes: #469900)

mlt (0.2.4-1) unstable; urgency=low

   * Initial release. (Closes: #463796)